Skip to content
Snippets Groups Projects
Commit 04578d08 authored by Simon McVittie's avatar Simon McVittie
Browse files

launch-options.sh: Use launch-options.py --command-line-fd


steamrt/tasks#602

Signed-off-by: default avatarSimon McVittie <smcv@collabora.com>
parent 6dd59886
No related branches found
No related tags found
1 merge request!769launch-options: Wrap the GUI so Gamescope will display it on Steam Deck
......@@ -28,6 +28,10 @@
set -e
set -u
log () {
echo "${me-steam-runtime-launch-options}[$$]: $*" >&2 || :
}
main () {
me="$(readlink -f "$0")"
here="${me%/*}"
......@@ -95,7 +99,7 @@ main () {
fi
if ! result="$("$script" --check-gui-dependencies 2>&1)"; then
echo "$result" >&2
log "error: $result"
if [ -x ~/.steam/root/steam-dialog ]; then
if [ -e "$script" ]; then
......@@ -139,7 +143,14 @@ $result"
exit 125
fi
exec "$script" "$@" || exit 125
if command_line="$(exec "$script" --command-line-fd=1 "$@")" && [ -n "$command_line" ]; then
log "info: exec $command_line"
eval "exec $command_line" || exit 125
else
log "error: $script failed or was cancelled" >&2
fi
exit 125
}
main "$@"
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment